import time
import random
from array import array

pac1_senkrecht = [
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1,
    1, 0, 1, 1, 0, 0, 1, 1, 1, 0, 0, 1, 1,
    1, 0, 1, 1, 0, 0, 0, 0, 0, 1, 1, 1, 1,
    1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 1,
    1, 1, 0, 0, 1, 1, 1, 0, 0, 0, 0, 0, 1,
    1, 0, 1, 1, 0, 1, 0, 1, 1, 1, 0, 1, 1,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
]

pac1_waagerecht = [
    1, 1, 1, 1, 1, 1, 0, 1, 1, 1, 1, 1, 0,
    0, 1, 1, 0, 1, 1, 1, 0, 1, 1, 0, 0, 0,
    0, 1, 0, 0, 1, 1, 1, 0, 0, 1, 0, 0, 0,
    0, 0, 0, 1, 0, 1, 1, 1, 0, 1, 0, 1, 0,
    0, 0, 1, 0, 0, 1, 0, 1, 0, 1, 1, 1, 0,
    1, 0, 0, 0, 0, 0, 1, 0, 0, 1, 1, 0, 0,
    0, 1, 0, 1, 0, 1, 1, 0, 1, 1, 1, 0, 0,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0,
]

pac1_farbe = [
    40, 20, 20, 60,
    120, 20, 20, 20,
    180, 40, 20, 20,
    100, 80, 20, 40,
    120, 100, 20, 20,
    180, 100, 40, 20,
]

pac1_punkte = [
    0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
    1, 1, 0, 1, 1, 1, 0, 1, 1, 1, 1, 1,
    1, 1, 0, 1, 1, 1, 1, 1, 1, 0, 1, 1,
    1, 1, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1,
    1, 1, 1, 1, 1, 0, 1, 1, 1, 1, 1, 1,
    1, 1, 1, 1, 1, 0, 0, 1, 1, 0, 0, 1,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
]

geist_1 = [
    0, 0, 0, 4, 4, 4, 4, 4, 4, 4, 3, 0,
    0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 3, 0,
    0, 0, 0, 1, 2, 0, 0, 0, 0, 0, 3, 0,
    0, 0, 0, 0, 1, 2, 2, 0, 3, 2, 2, 0,
    0, 0, 0, 0, 0, 0, 1, 2, 2, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
]

geist_2 = [
    3, 2, 2, 2, 2, 2, 2, 2, 0, 0, 0, 0,
    3, 0, 0, 0, 0, 0, 0, 1, 0, 0, 3, 0,
    4, 3, 0, 0, 4, 4, 4, 1, 0, 0, 3, 0,
    0, 3, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 4, 4, 3, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 4, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
]

def geist1(Geist_Liste,xstart,ystart,x,y):
    #Liste fuer Geist fuellen
    for zeile in range (6):
        y = ystart + zeile * 20
        for spalte in range (12):
            x = xstart + spalte *20
            Geist_Liste[zeile*12 + spalte] = geist_1[zeile*12 + spalte]

def geist2(Geist_Liste,xstart,ystart,x,y):
    #Liste fuer Geist fuellen
    for zeile in range (6):
        y = ystart + zeile * 20
        for spalte in range (12):
            x = xstart + spalte *20
            Geist_Liste[zeile*12 + spalte] = geist_2[zeile*12 + spalte]

def pac_rinth(LCD,Liste,pos,xstart,ystart,x,y):
    #feld=random.randint(1,5)
    feld = 1
    #Liste fuer Spielfeld fuellen
    for i in range (135):
        for j in range (240):
            Liste[pos] =  0xf800
            pos += 1         
    #Farbflaechen fuellen
    for zeile in range (6):
        xa = pac1_farbe[zeile*4]
        ya = pac1_farbe[zeile*4 +1]
        lx = pac1_farbe[zeile*4 +2]
        ly = pac1_farbe[zeile*4 +3]
        LCD.fill_rect(xa,ya,lx,ly,LCD.blue)
    # senkrechten Linien
    for zeile in range (6):
        y = ystart + zeile * 20
        for spalte in range (12):
            if feld == 1:
                if pac1_senkrecht[zeile*13 + spalte] == 1:
                    for z in range (20):
                        x = xstart + spalte *20
                        LCD.pixel(x,y+z,LCD.yellow)
                        Liste[x + (y+z)*240] = 0xffff
                    LCD.show()
    #waagerechten Linien
    for zeile in range (7):
        y = ystart + zeile * 20
        for spalte in range (12):
            if feld == 1:
                if pac1_waagerecht[zeile*13 + spalte] == 1:
                    for z in range (20):
                        x = xstart + spalte *20 
                        LCD.pixel(x+z,y,LCD.yellow)
                        Liste[x+z + y*240] = 0xffff
                    LCD.show()
    #untere Zeile
    #senkrecht
    for spalte in range (12):
        if feld == 1: 
            if pac1_senkrecht[6*13 + spalte] == 1:
                for z in range (15):
                    x = spalte *20
                    LCD.pixel(x,120+z,LCD.yellow)
                    Liste[x + (120+z)*240] = 0xffff
                LCD.show()
    #waagerecht
    for spalte in range (12):
        if feld == 1:
            if pac1_waagerecht[7*13 + spalte] == 1:
                for z in range (20):
                    x = xstart + spalte *20 
                    LCD.pixel(x+z,134,LCD.green)
                    Liste[x+z + 134*240] = 0xffff
                LCD.show()
    # rote Punkte
    for zeile in range (6):
        y = ystart + zeile * 20
        for spalte in range (12):
            if pac1_punkte[zeile*12 + spalte] == 1:
                x = xstart + spalte *20
                LCD.fill_rect(x+8,y+8,4,4,LCD.red)
                #print(x," , ",y)
                Liste[x + (y)*240] = 0x07E0
        LCD.text("Punkte:",5,126,LCD.white)
        LCD.text("Leben:",105,126,LCD.white)
        LCD.show()
    
    if feld == 1:
        x=10
        xe=140
    fobj=open("daten.txt", 'w')
    fobj.write(str(x) + "\n")
    fobj.write(str(xe) + "\n")
    fobj.write("10\n")
    fobj.close()
    
    
   
if __name__=='__main__':
    # do nothing
    pac_rinth(pos,xstart,ystart,x,y)